<link href="_lib/search.css" rel="stylesheet" type="text/css">
<link href="_lib/gradient.css" rel="stylesheet" type="text/css">
<a class="button" onclick="window.open('data:application/msexcel,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Excel</a>&nbsp;<a class="button" onclick="window.open('data:application/msword,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Word</a>
<?php
include 'config/koneksi.php';
include '_lib/fungsi_indotgl.php';	
//menampilkan data
$posisi  = 0;
$sekarang = date('Y-m-d');
$hasil = mysql_query("SELECT a.nomor_perkara,
a.pihak1_text,
a.jenis_perkara_text,
b.tanggal_putusan,
b.tanggal_bht,
b.status_putusan_id,
c.nama_gelar AS nama_ketua_majelis,
c.keterangan AS phone_ketua_majelis,
d.nama_gelar AS nama_pp,
g.tanggal_penetapan_sidang_ikrar AS phs_ikrar,
g.tanggal_sidang_pertama, g.tgl_ikrar_talak, g.amar_ikrar_talak,
(SELECT MAX(h.tanggal_sidang) 
FROM perkara_jadwal_sidang h 
WHERE h.perkara_id = a.perkara_id
AND h.ditunda ='T'
AND (h.keterangan LIKE '%lapor%' OR h.keterangan LIKE '%ditentukan kemudian%' OR h.keterangan LIKE '%tunda 6 bulan%')
AND h.keterangan NOT LIKE '%ikrar%'
ORDER BY h.tanggal_sidang DESC) AS tgl_sidang_last,
(SELECT h.keterangan
FROM perkara_jadwal_sidang h 
WHERE h.perkara_id = a.perkara_id
AND h.ditunda ='T'
AND (h.keterangan LIKE '%lapor%' OR h.keterangan LIKE '%ditentukan kemudian%' OR h.keterangan LIKE '%tunda 6 bulan%')
AND h.keterangan NOT LIKE '%ikrar%'
ORDER BY h.tanggal_sidang DESC) AS keterangan,
(CASE WHEN (SELECT TIMESTAMPDIFF(MONTH,tgl_sidang_last,CURRENT_DATE)) <= '6' THEN 'DALAM 6 bulan' ELSE '<a>LEBIH DARI 6 bulan</a>' END) AS waktu
FROM perkara a, perkara_putusan b, hakim_pn c, panitera_pn d, perkara_panitera_pn e, perkara_hakim_pn f, perkara_ikrar_talak g
WHERE (SELECT MAX(h.tanggal_sidang) 
FROM perkara_jadwal_sidang h 
WHERE h.perkara_id = a.perkara_id 
AND h.ditunda ='T'
AND (h.keterangan LIKE '%lapor%' OR h.keterangan LIKE '%ditentukan kemudian%')
AND h.keterangan NOT LIKE '%ikrar%'
ORDER BY h.tanggal_sidang DESC) <= CURDATE()
AND g.amar_ikrar_talak IS NULL 
AND g.perkara_id = a.perkara_id
AND a.perkara_id = b.perkara_id 
AND a.jenis_perkara_id = '346'
AND f.perkara_id = a.perkara_id 
AND e.perkara_id = a.perkara_id 
AND f.hakim_id = c.id 
AND e.panitera_id = d.id 
AND f.urutan = 1
GROUP BY a.perkara_id
ORDER BY c.nama_gelar ASC") or die("Query failed with error: ".mysql_error());
							
echo "<div id='export'>";
echo "<h2>Data Perkara Ikrar Talak tidak Terlaksana (Pemohon tidak hadir) atau ditentukan kemudian</h2><br>";
echo "<table align=center><tr>

    <th width='3%'>No.</th>
	<th width='13%'>No. Perkara</th>
	<th width='17%'>Pihak Penggugat/Pemohon</th>
	<th width='13%'>Ketua Majelis</th>	
	<th width='13%'>Panitera Pengganti</th>	
	<th>Tanggal PHS Ikrar</th>
	<th>Tanggal Sidang Ikrar</th>
	<th>Jenis Perkara</th>
	<th width='8%'>Keterangan</th>
	<th>Status</th></tr>";
	
$no = $posisi+1;
$totalperkara = mysql_num_rows($hasil);
echo "<p align=left>Total Perkara : <b>$totalperkara</b> Perkara</p><br>";
while($r=mysql_fetch_array($hasil)){
$tanggal1  = tgl_indo($r['phs_ikrar']);
$tanggal2  = tgl_indo($r['tgl_sidang_last']);
echo "<tr>
  <td align='center'>$no</td>
  <td>$r[nomor_perkara]</td>
  <td>$r[pihak1_text]</td>
  <td>$r[nama_ketua_majelis]</td>
  <td>$r[nama_pp]</td>
  <td>$tanggal1</td>
  <td>$tanggal2</td> 
  <td>$r[jenis_perkara_text]</td>
  <td align='center'>$r[keterangan]</td>
  <td><b><d>$r[waktu]</d></b></td></tr>";
  
  $no++;
  }
echo "</table><br>";
?>